from flask import Flask
from waitress import serve
from flask_restful import Api

from modules.Archive.database import Database as KFADB
import logging

app = Flask(__name__)
app.config['JSON_AS_ASCII'] = False
app.databases = {}

api = Api(app)

KFADB(api)

if __name__ == '__main__':
    #app.run(host='127.0.0.1', port=8081, debug=True)
    logging.basicConfig(level=logging.DEBUG, format='%(asctime)s %(message)s')
    serve(app, listen='*:8081', threads=1)